Bug 244164 - Mk/bsd.sites.mk: Update URL of MASTER_SITE_OSDN to one that supports geographical load balancing
Summary: Mk/bsd.sites.mk: Update URL of MASTER_SITE_OSDN to one that supports geograph...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alexandre C. Guimarães
URL: https://reviews.freebsd.org/D24955
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-16 11:17 UTC by Yasuhiro KIMURA
Modified: 2020-07-24 06:30 UTC (History)
2 users (show)

See Also:


Attachments
Patch file (22.36 KB, patch)
2020-02-16 11:17 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (22.36 KB, patch)
2020-04-30 12:37 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (22.36 KB, patch)
2020-07-22 22:35 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2020-02-16 11:17:18 UTC
Created attachment 211690 [details]
Patch file

* Update URL of MASTER_SITE_OSDN to one that supports geographical load balancing.
* Add MASTER_SITE_OSDN_CHAMBER that is used for files downloaded from user's chamber.
* Add --user-agent option to FETCH_ARGS when either MASTER_SITE or PATCH_SITES include MASTER_SITE_OSDN or MASTER_SITE_OSDN_CHAMBER.
  From https://osdn.net/docs/FileRelease_Guide#h2-Direct.20Download

  "Currently, when a release-file URL is accessed from wget, curl, libwww-perl, PowerShell, apt, dnf, or other package management tools, downloading of the file will begin right away without having to go via html page."

  Unfortunately fetch(1) isn't included in such user agents. Therefore add --user-agent option to FETCH_ARGS so access is considered as that of ftp/curl.
Comment 1 Yasuhiro KIMURA 2020-04-30 12:37:36 UTC
Created attachment 213944 [details]
Updated patch file

Update patch to make it fit to latest ports tree.
Comment 2 Yasuhiro KIMURA 2020-05-22 07:29:56 UTC
Hello Alexandre,

Would you please commit this bug report?

Best Regards.
Comment 3 Alexandre C. Guimarães freebsd_committer 2020-05-22 11:29:10 UTC
Hi!

Sorry this got lost somewhere on my TODO list.

I opened a review to allow other more qualified than me folks to evaluate your patch.

Thanks!
Comment 4 Yasuhiro KIMURA 2020-07-19 09:20:14 UTC
(In reply to Alexandre C. Guimarães from comment #3)

ping.
Comment 5 Alexandre C. Guimarães freebsd_committer 2020-07-22 20:44:04 UTC
Hi,

could you just please re-generate the patch, the `bsd.sites.mk` isn't applying clearly anymore.

Thanks!
Comment 6 Yasuhiro KIMURA 2020-07-22 22:35:18 UTC
Created attachment 216685 [details]
Updated patch file

Update patch to make it fit to latest ports tree.
Comment 7 commit-hook freebsd_committer 2020-07-24 06:29:27 UTC
A commit references this bug:

Author: rigoletto
Date: Fri Jul 24 06:29:11 UTC 2020
New revision: 543005
URL: https://svnweb.freebsd.org/changeset/ports/543005

Log:
  Mk/bsd.sites.mk: Update URL of MASTER_SITE_OSDN to one that supports geographical load balancing

  - update all affected ports

  PR:		244164
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Differential Revision:	https://reviews.freebsd.org/D24955

Changes:
  head/Mk/bsd.sites.mk
  head/archivers/lha-ac/Makefile
  head/audio/julius/Makefile
  head/devel/libpasori/Makefile
  head/games/ninix-aya/Makefile
  head/graphics/azpainter/Makefile
  head/graphics/separate/Makefile
  head/irc/keitairc2/Makefile
  head/japanese/FreeWnn-lib/Makefile
  head/japanese/FreeWnn-server/Makefile
  head/japanese/canna-lib/Makefile
  head/japanese/canna-server/Makefile
  head/japanese/chasen-base/Makefile
  head/japanese/font-ayu18/Makefile
  head/japanese/font-ayu20/Makefile
  head/japanese/font-genjyuugothic/Makefile
  head/japanese/font-genshingothic/Makefile
  head/japanese/font-kochi/Makefile
  head/japanese/font-mgenplus/Makefile
  head/japanese/font-mgenplus/pkg-plist
  head/japanese/font-migmix/Makefile
  head/japanese/font-migu/Makefile
  head/japanese/font-mplus-bitmap/Makefile
  head/japanese/font-mplus-outline/Makefile
  head/japanese/font-nasu/Makefile
  head/japanese/font-rounded-mgenplus/Makefile
  head/japanese/font-sazanami/Makefile
  head/japanese/font-ume/Makefile
  head/japanese/font-vlgothic/Makefile
  head/japanese/hns/Makefile
  head/japanese/ipadic/Makefile
  head/japanese/kasumi/Makefile
  head/japanese/latex-jlisting/Makefile
  head/japanese/nethack34/Makefile
  head/japanese/nkf/Makefile
  head/japanese/p5-Text-ChaSen/Makefile
  head/japanese/p5-nkf/Makefile
  head/japanese/scim-anthy/Makefile
  head/japanese/scim-canna/Makefile
  head/japanese/scim-skk/Makefile
  head/japanese/skkinput/Makefile
  head/japanese/skkinput3/Makefile
  head/mail/bsfilter/Makefile
  head/mail/milter-manager/Makefile
  head/ports-mgmt/portsreinstall/Makefile
  head/shells/yash/Makefile
  head/sysutils/extipl/Makefile
  head/textproc/senna/Makefile
  head/www/fswiki/Makefile
  head/www/html2hdml/Makefile
  head/x11/gsynaptics/Makefile
  head/x11-fonts/hanazono-fonts-ttf/Makefile
Comment 8 Alexandre C. Guimarães freebsd_committer 2020-07-24 06:30:30 UTC
Finally committed. Thank you! :-D